Theme pada WordPress 2.7

November 14, 2008

Reading time ~1 minute

Jika anda ingin memastikan apakah WordPress theme anda akan kompatibel dengan WordPress 2.6 dan 2.7. mungkin jawabanya akan sulit karena jika anda adalah seorang theme developer, anda pastinya mengetahui bagaimana agar wordpress theme 2.7 anda backward compatible dengan yang lama, hal ini terjadi karena banyaknya fitur baru yang ditambahkan didalam wordpress 2.7.

Anda dapat melihat Otto WordPress 2.7 comments enhancements tutorial untuk menambahkan extra features untuk theme comments file anda.

Standart Comment file

Sebagai asumsi theme comments anda kompatibel dengan WordPress 2.6. yang perlu anda lakukan adalah menyimpan file tersebut menjadi nama file baru dengan nama legacy.comments.php didalam theme directory anda.

Lalu anda tinggal membuat comments file khusus untuk WordPress 2.7 dan save sebagai <strong>comments.php</strong>.

Kali ini kita kan membuat sebuah version checking untuk WordPress theme anda jika anda menggunakan using 2.7 maka kita akan memanggil comments.php. atau jika menggunakan 2.6 maka kita dapat menggunakan legacy.comments.php.

Selanjutnya didalam theme functions.php file, tambahkan code ini:

[sourcecode language=’php’]add_filter('comments_template', 'legacy_comments');

function legacy_comments($file) {

if(!function_exists('wp_list_comments')) : // WP 2.7-only check
    $file = TEMPLATEPATH . '/legacy.comments.php';
endif;

return $file;

}

?[/sourcecode]

Jadi jika anda ingin membuat backward compatibility untuk WordPress theme anda, mungkin ini dapat membantu.

[Justin]

comments powered by Disqus